package org.black_ixx.bossshop.core;

public class BSEnums {
    public enum BSBuyType{
        Item,
        Enchantment,
        Command,
        TimeCommand,
        Permission,
        Money,
        Points,
        Shop,
        PlayerCommand,
        Lottery,
        Nothing
    }

    public enum BSPriceType{
        Money,
        Item,
        Points,
        Exp,
        Nothing,
        Free
    }
    
    public enum STOCK{
        in,
        out,
        check
    }
    
    public static BSBuyType getBSBuyType(String name){
        for(BSBuyType t : BSEnums.BSBuyType.values()){
            if(name.equalsIgnoreCase(t.toString())) return t;
        }
        return null;
    }
    
    public static BSPriceType getBSPriceType(String name){
        for(BSPriceType t : BSEnums.BSPriceType.values()){
            if(name.equalsIgnoreCase(t.toString())) return t;
        }
        return null;
    }

}
